#!/bin/bash

# 多媒体: 音视频播放、音频降噪
PKGS=(
    mpv
    ffmpeg

    gstreamer1.0-libav
    gstreamer1.0-plugins-bad
    gstreamer1.0-plugins-base-apps
    gstreamer1.0-plugins-ugly
    gstreamer1.0-tools
    gstreamer1.0-clutter-3.0
    libgstreamer-plugins-bad1.0-0
    isc-dhcp-client
    gstreamer1.0-plugins-good
    gstreamer1.0-gtk3
    gstreamer1.0-x
)

install_pkgs "${PKGS[@]}"

# 平台相关
CURRENT_ARCH="$(dpkg --print-architecture)"
if [ "${CURRENT_ARCH}" != "amd64" ]; then
    if grep -q "Phytium,.*2000" /proc/cpuinfo; then
        PKGS_E2000=(
            gstreamer1.0-omx-ft-e2000
            x100-gpu-ddk-vpu-only
            # x100-gpu-ddk
        )
        install_pkgs "${PKGS_E2000[@]}"
    elif grep -q "rockchip" /proc/cpuinfo; then
        PKGS_ROCKCHIP=(
            librga2
        )
        install_pkgs "${PKGS_ROCKCHIP[@]}"
    else
        :
    fi
fi